'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const syntax_1 = require("@glimmer/syntax");
function buildPlugin(visitor) {
    return {
        name: 'test-ast-transform',
        visitor
    };
}
function plugin(plugin) {
    return env => plugin;
}
function processTemplate(template, visitor) {
    let newAst = syntax_1.preprocess(template, {
        plugins: {
            ast: [plugin(buildPlugin(visitor))]
        }
    });
    return syntax_1.print(newAst);
}
exports.default = processTemplate;
